# ApiEnableCatalogStatestoreHaArguments Data Model

Arguments used for the "enable Catalog StateStore HA" command. The "enable Catalog Statestore HA" command includes enabling catalog and statestore HA, therefore the arguments of it include the required catalog and statestore information.

Properties
name | data type | description
--- | --- | ---
newCatalogHostId | string | HostId of the host on which the second Catalog role will be created.
newCatalogRoleName | string | Name of the second Catalog role to be created.
newStatestoreHostId | string | HostId of the host on which the second Statestore role will be created.
newStatestoreRoleName | string | Name of the second Statestore role to be created.

Example

    {
      "newCatalogHostId" : "...",
      "newCatalogRoleName" : "...",
      "newStatestoreHostId" : "...",
      "newStatestoreRoleName" : "..."
    }